
(defcenum SECURITY_IMPERSONATION_LEVEL
	:SecurityAnonymous
	:SecurityIdentification
	:SecurityImpersonation
	:SecurityDelegation)

(defcenum TOKEN_TYPE
	(:TokenPrimary 1)
	:TokenImpersonation)

(defcenum TOKEN_INFORMATION_CLASS
	(:TokenUser 1)
	:TokenGroups
	:TokenPrivileges
	:TokenOwner
	:TokenPrimaryGroup
	:TokenDefaultDacl
	:TokenSource
	:TokenType
	:TokenImpersonationLevel
	:TokenStatistics
	:TokenRestrictedSids
	:TokenSessionId
	:TokenGroupsAndPrivileges
	:TokenSessionReference
	:TokenSandBoxInert
	:TokenAuditPolicy
	:TokenOrigin)

(defcenum SID_NAME_USE
	(:SidTypeUser 1)
	:SidTypeGroup
	:SidTypeDomain
	:SidTypeAlias
	:SidTypeWellKnownGroup
	:SidTypeDeletedAccount
	:SidTypeInvalid
	:SidTypeUnknown
	:SidTypeComputer)

(defcenum SERVICE_NODE_TYPE
	(:DriverType 1)
	(:FileSystemType 2)
	(:Win32ServiceOwnProcess 16)
	(:Win32ServiceShareProcess 32)
	(:AdapterType 4)
	(:RecognizerType 8))

(defcenum SERVICE_LOAD_TYPE
	(:BootLoad 0)
	(:SystemLoad 1)
	(:AutoLoad 2)
	(:DemandLoad 3)
	(:DisableLoad 4))

(defcenum SERVICE_ERROR_TYPE
	(:IgnoreError 0)
	(:NormalError 1)
	(:SevereError 2)
	(:CriticalError 3))

(defcenum JOBOBJECTINFOCLASS
	(:JobObjectBasicAccountingInformation 1)
	:JobObjectBasicLimitInformation
	:JobObjectBasicProcessIdList
	:JobObjectBasicUIRestrictions
	:JobObjectSecurityLimitInformation
	:JobObjectEndOfJobTimeInformation
	:JobObjectAssociateCompletionPortInformation
	:JobObjectBasicAndIoAccountingInformation
	:JobObjectExtendedLimitInformation
	:JobObjectJobSetInformation
	:MaxJobObjectInfoClass)

(defcenum LATENCY_TIME
	:LT_DONT_CARE
	:LT_LOWEST_LATENCY)

(defcenum SYSTEM_POWER_STATE
	:PowerSystemUnspecified
	:PowerSystemWorking
	:PowerSystemSleeping1
	:PowerSystemSleeping2
	:PowerSystemSleeping3
	:PowerSystemHibernate
	:PowerSystemShutdown
	:PowerSystemMaximum)

(defcenum POWER_ACTION
	:PowerActionNone
	:PowerActionReserved
	:PowerActionSleep
	:PowerActionHibernate
	:PowerActionShutdown
	:PowerActionShutdownReset
	:PowerActionShutdownOff
	:PowerActionWarmEject)

(defcenum DEVICE_POWER_STATE
	:PowerDeviceUnspecified
	:PowerDeviceD0
	:PowerDeviceD1
	:PowerDeviceD2
	:PowerDeviceD3
	:PowerDeviceMaximum)

(defcenum POWER_INFORMATION_LEVEL
	:SystemPowerPolicyAc
	:SystemPowerPolicyDc
	:VerifySystemPolicyAc
	:VerifySystemPolicyDc
	:SystemPowerCapabilities
	:SystemBatteryState
	:SystemPowerStateHandler
	:ProcessorStateHandler
	:SystemPowerPolicyCurrent
	:AdministratorPowerPolicy
	:SystemReserveHiberFile
	:ProcessorInformation
	:SystemPowerInformation
	:ProcessorStateHandler2
	:LastWakeTime
	:LastSleepTime
	:SystemExecutionState
	:SystemPowerStateNotifyHandler
	:ProcessorPowerPolicyAc
	:ProcessorPowerPolicyDc
	:VerifyProcessorPowerPolicyAc
	:VerifyProcessorPowerPolicyDc
	:ProcessorPowerPolicyCurrent)

(defcenum FINDEX_INFO_LEVELS
	:FindExInfoStandard
	:FindExInfoMaxInfoLevel)

(defcenum FINDEX_SEARCH_OPS
	:FindExSearchNameMatch
	:FindExSearchLimitToDirectories
	:FindExSearchLimitToDevices
	:FindExSearchMaxSearchOp)

(defcenum ACL_INFORMATION_CLASS
	(:AclRevisionInformation 1)
	:AclSizeInformation)

(defcenum GET_FILEEX_INFO_LEVELS
	:GetFileExInfoStandard
	:GetFileExMaxInfoLevel)

(defcenum NLS_FUNCTION
	(:COMPARE_STRING 0x0001))

(defcenum SYSGEOCLASS
	(:GEOCLASS_NATION 16)
	(:GEOCLASS_REGION 14))

(defcenum SYSGEOTYPE
	(:GEO_NATION 0x0001)
	(:GEO_LATITUDE 0x0002)
	(:GEO_LONGITUDE 0x0003)
	(:GEO_ISO2 0x0004)
	(:GEO_ISO3 0x0005)
	(:GEO_RFC1766 0x0006)
	(:GEO_LCID 0x0007)
	(:GEO_FRIENDLYNAME 0x0008)
	(:GEO_OFFICIALNAME 0x0009)
	(:GEO_TIMEZONES 0x000a)
	(:GEO_OFFICIALLANGUAGES 0x000a))

(defcenum SC_STATUS_TYPE
	(:SC_STATUS_PROCESS_INFO 0))

(defcenum SC_ENUM_TYPE
	(:SC_ENUM_PROCESS_INFO 0))

(defcenum SC_ACTION_TYPE
	(:SC_ACTION_NONE 0)
	(:SC_ACTION_RESTART 1)
	(:SC_ACTION_REBOOT 2)
	(:SC_ACTION_RUN_COMMAND 3))

(defcenum GUARANTEE
	:BestEffortService
	:ControlledLoadService
	:PredictiveService
	:GuaranteedDelayService
	:GuaranteedService)

(defcenum WSAESETSERVICEOP
	(:RNRSERVICE_REGISTER 0)
	:RNRSERVICE_DEREGISTER
	:RNRSERVICE_DELETE)

(defcenum WSAECOMPARATOR
	(:COMP_EQUAL 0)
	:COMP_NOTLESS)

(defcenum WSACOMPLETIONTYPE
	(:NSP_NOTIFY_IMMEDIATELY 0)
	:NSP_NOTIFY_HWND
	:NSP_NOTIFY_EVENT
	:NSP_NOTIFY_PORT
	:NSP_NOTIFY_APC)


